# saga::const_buffer Class Reference

Encapsulates I/O operations. More...

`#include <buffer.hpp>`

Inheritance diagram for saga::const_buffer:

[legend]

List of all members.

## Public Member Functions
| const_buffer (void const *data, saga::ssize_t size)
| Creates an I/O buffer.
| ~const_buffer ()
| Destroys a buffer.
saga::ssize_t | get_size () const
| Retrieves the current value for size.
void const * | get_data () const
| Retrieves the buffer data.
void | close (double timeout=0.0)
| Closes the object.

## Detailed Description

Encapsulates I/O operations.

The SAGA API includes a number of calls which perform byte-level I/O operations, e.g. read()/write() on files and streams, and call() on rpc instances. Future SAGA API extensions are expected to increase the number of I/O methods. The saga::buffer class encapsulates a sequence of bytes to be used for such I/O operations - that allows for uniform I/O syntax and semantics over the various SAGA API packages.

## Constructor & Destructor Documentation

saga::const_buffer::const_buffer | ( | void const * | data,
|  | saga::ssize_t | size |
| ) |  |  |

Creates an I/O buffer.

Parameters:

  | data | Data to be used
  | size | Size of data to be used.

Returns:
  The newly created buffer.

saga::const_buffer::~const_buffer | ( |  | ) |

Destroys a buffer.

## Member Function Documentation

saga::ssize_t saga::const_buffer::get_size | ( |  | ) | const

Retrieves the current value for size.

Returns:
  Value of size.

void const * saga::const_buffer::get_data | ( |  | ) | const

Retrieves the buffer data.

Returns:
  Buffer data to retrieve.

void saga::const_buffer::close | ( | double | timeout = `0.0` | ) |

Closes the object.

Parameters:

  | timeout | Seconds to wait

The documentation for this class was generated from the following files:

- buffer.hpp
- buffer.cpp